## erlang-bbmustache 1.6.1+dfsg

=== Makefile ===
.PHONY: ct
all: compile eunit ct xref dialyze edoc

compile:
	@./rebar3 as dev compile

xref:
	@./rebar3 xref

clean:
	@./rebar3 clean

ct:
	@./rebar3 ct

cover:
	@./rebar3 cover

eunit:
	@./rebar3 eunit

edoc:
	@./rebar3 as dev edoc

start:
	@./rebar3 as dev shell

dialyze:
	@./rebar3 dialyzer

bench:
	@./rebar3 as test compile
	@./rebar3 as bench compile
	@./benchmarks/bench.escript

=== debian/changelog ===
erlang-bbmustache (1.6.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #931513)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 07 Jul 2019 09:05:41 +0900

=== debian/control ===
Source: erlang-bbmustache
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.1.4
Homepage: https://github.com/soranoba/bbmustache
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-bbmustache.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-bbmustache
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.2.1),
	erlang-dialyzer, dh-rebar

Package: erlang-bbmustache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
	${erlang:Depends}
Description: Binary pattern match Based Mustache template engine for Erlang/OTP
 erlang-bbmustache is binary pattern match based mustache template engine for
 Erlang/OTP. This does't use a regular expression of Erlang/OTP, and support
 maps and associative arrays.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bear-$1.tar.gz/,dversionmangle=s/\+dfsg// \
	https://github.com/boundary/bear/tags .*/(?:v||bear[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## erlang-bbmustache 1.12.2

=== Makefile ===
CWD=$(shell pwd)

.PHONY: ct
all: compile escriptize eunit ct xref dialyze edoc
ci: compile escriptize eunit ct xref dialyze

compile:
	@./rebar3 as dev compile

xref:
	@./rebar3 as dev xref

clean:
	@./rebar3 clean

ct: escriptize
	@CMD_TOOL=$(CWD)/bbmustache ./rebar3 ct

cover:
	@./rebar3 cover

eunit:
	@./rebar3 eunit

edoc:
	@./rebar3 as doc edoc

start:
	@./rebar3 as dev shell

dialyze:
	@./rebar3 as dev dialyzer

bench:
	@./rebar3 as test compile
	@./rebar3 as bench compile
	@./benchmarks/bench.escript

escriptize:
	@./rebar3 as dev escriptize
	@cp _build/dev/bin/bbmustache .

install: escriptize
	cp bbmustache /usr/local/bin

=== debian/changelog ===
erlang-bbmustache (1.12.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control
    - Bump Standards-Version to 4.7.0.
    - Add 'Rules-Requires-Root: no'.
    - Switch from debhelper to debhelper-compat.
    - Fix typo in package description.
  * d/watch: Update to v4 and fix to correct URL

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 02 Feb 2025 09:56:05 +0900

=== debian/control ===
Source: erlang-bbmustache
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.7.0
Homepage: https://github.com/soranoba/bbmustache
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-bbmustache.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-bbmustache
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
	       erlang-dev (>= 1:13.b.2.1),
	       erlang-dialyzer,
	       dh-rebar

Package: erlang-bbmustache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
	${erlang:Depends}
Description: Binary pattern match Based Mustache template engine for Erlang/OTP
 erlang-bbmustache is binary pattern match based mustache template engine for
 Erlang/OTP. This doesin't use a regular expression of Erlang/OTP, and support
 maps and associative arrays.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bear-$1.tar.gz/,dversionmangle=s/\+dfsg// \
	https://github.com/soranoba/bbmustache/tags .*/(?:v||bear[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
